Subject: bug#51007: 27.2; emacs hangs when using window-toggle-side-windows

From: martin rudalics <[email-masked]>
Date: Tue, 5 Oct 2021 10:09:20 +0200

> Sorry, I made a mistake while sending the report, I used a wrong version of emacs,
>
> This is observed only on emacs 27.1

I don't have Emacs 27.1 installed here.  But I tried with Emacs 27.2
plus the patch for Bug#50867 applied and yet don't see any problems.

> And the `async-command-shell` is typo it should have been, `async-shell-command`

I noted that meanwhile and already use your recipe.  I still think that
when you do that something goes awry that is not related to toggling but
maybe to shell output.  Could you try with the *Help*/*Info* example I
posted earlier to exclude that possibility?

But maybe also 'window--sides-reverse-frame' is the culprit.  So could
you try with the call of 'window--sides-reverse-frame' removed from
'window-toggle-side-windows'?  I didn't give that much testing then.

Thanks, martin